﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

public class InBetweenAI : MonoBehaviour {
    private Animator myAnimator;
    private Transform target;
    private float speed = 3;
    bool moveallowed = false;
    double[] heights = { -1.40, 1, 3.12, 5.33, 7.58 };
    // Use this for initialization
    // Use this for initialization
    Transform half;
    void Start () {
        half = GameObject.Find("HalfWay").transform;
        target = GameObject.FindGameObjectWithTag("Player").transform;  
    }
	
	// Update is called once per frame
	void Update () {
        myAnimator = GetComponent<Animator>();
        move();
    }

    public void move()
    {
        if (moveallowed)
        {
            Debug.Log("moving");
            //rotate to look at the player
            //transform.LookAt(target.position);
            myAnimator.SetFloat("speed", 1); // This should probbaly reflect the actual speed
            transform.position = Vector2.MoveTowards(transform.position, target.transform.position, speed * Time.deltaTime);

            if (target.transform.position.x <= transform.position.x) //players spot in world space as opposed to enemy "self" spot 
            {
                transform.rotation = new Quaternion(0, 180, 0, 0); // flips enemy around to face the player on x axis only
            }
            else if (target.transform.position.x >= transform.position.x) //players spot in world space as opposed to enemy "self" spot
            {
                transform.rotation = new Quaternion(0, 0, 0, 0); // flips enemy around to face the player on x axis only }
            }
       
            if(Vector3.Distance(transform.position, target.transform.position) < 1 )
            {
                moveallowed = false;
                Debug.Log("collide");
                //load combat scene
                if (target.position.x < half.position.x) 
                { 
                    SceneManager.LoadScene("GrassyArena");
                }
                if (target.position.x > half.position.x)
                {
                    SceneManager.LoadScene("SandyArena");
                }
                
            }
        }
    }
    void OnTriggerEnter2D(Collider2D other)
    {
        if (other.name == "Player")
        {
           
            moveallowed = true;
        }
    }
}
